diff -Nurd kdegraphics-3.5.10/kcoloredit/Makefile.am kdegraphics-3.5.10-new/kcoloredit/Makefile.am
--- kdegraphics-3.5.10/kcoloredit/Makefile.am	2006-07-22 04:10:29.000000000 -0400
+++ kdegraphics-3.5.10-new/kcoloredit/Makefile.am	2010-07-26 01:17:53.000000000 -0400
@@ -1,21 +1,24 @@
 INCLUDES = $(all_includes)
 
-kcoloredit_SOURCES = kzcolorselector.cpp imageselection.cpp \
+kcoloredit_la_SOURCES = kzcolorselector.cpp imageselection.cpp \
 	texteditselection.cpp gradientselection.cpp colorselector.cpp \
 	kxycolorselector.cpp paletteview.cpp paletteviewscrolledarea.cpp \
 	editablestreamhistory.cpp color.cpp palette.cpp loadpalettedlg.cpp \
 	kcoloreditview.cpp kcoloreditdoc.cpp kcoloredit.cpp main.cpp
-kcoloredit_METASOURCES = AUTO
-kcoloredit_LDADD = $(LIB_KDEUI) $(LIB_KFILE)
-kcoloredit_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kcoloredit_la_METASOURCES = AUTO
+kcoloredit_la_LIBADD = $(LIB_KDEUI) $(LIB_KFILE) $(LIB_QT) $(LIB_KDECORE) -lkdefx
+kcoloredit_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(KDE_PLUGIN)
 
 rcdir = $(kde_datadir)/kcoloredit
 rc_DATA = kcoloreditui.rc
 
-bin_PROGRAMS = kcoloredit kcolorchooser
-kcolorchooser_SOURCES = kcolorchooser.cpp
-kcolorchooser_LDADD = $(LIB_KDEUI)
-kcolorchooser_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+bin_PROGRAMS = 
+lib_LTLIBRARIES = 
+kdeinit_LTLIBRARIES = kcoloredit.la kcolorchooser.la
+
+kcolorchooser_la_SOURCES = kcolorchooser.cpp
+kcolorchooser_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
+kcolorchooser_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(KDE_PLUGIN)
 
 noinst_HEADERS = color.h colorselector.h editablestreamhistory.h \
 	gradientselection.h imageselection.h kcoloredit.h kcoloreditdoc.h \
diff -Nurd kdegraphics-3.5.10/kcoloredit/kcolorchooser.cpp kdegraphics-3.5.10-new/kcoloredit/kcolorchooser.cpp
--- kdegraphics-3.5.10/kcoloredit/kcolorchooser.cpp	2005-09-10 04:18:59.000000000 -0400
+++ kdegraphics-3.5.10-new/kcoloredit/kcolorchooser.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -41,7 +41,7 @@
    KCmdLineLastOption
 };
 	
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
   KLocale::setMainCatalogue("kdelibs"); 
   KAboutData aboutData( "kcolorchooser", I18N_NOOP("KColorChooser"),
diff -Nurd kdegraphics-3.5.10/kcoloredit/main.cpp kdegraphics-3.5.10-new/kcoloredit/main.cpp
--- kdegraphics-3.5.10/kcoloredit/main.cpp	2005-09-10 04:18:59.000000000 -0400
+++ kdegraphics-3.5.10-new/kcoloredit/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -34,7 +34,7 @@
   // INSERT YOUR COMMANDLINE OPTIONS HERE
 };
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 
 	KAboutData aboutData( "kcoloredit", I18N_NOOP("KColorEdit"),
diff -Nurd kdegraphics-3.5.10/kdvi/Makefile.am kdegraphics-3.5.10-new/kdvi/Makefile.am
--- kdegraphics-3.5.10/kdvi/Makefile.am	2005-09-10 04:18:58.000000000 -0400
+++ kdegraphics-3.5.10-new/kdvi/Makefile.am	2010-07-26 02:02:34.000000000 -0400
@@ -1,11 +1,13 @@
 # set the include path for X, qt and KDE
 INCLUDES= -I$(top_srcdir)/kviewshell \
 	-I$(top_builddir)/kviewshell \
-	$(all_includes) $(LIBFREETYPE_CFLAGS)
+	$(LIBFREETYPE_CFLAGS) $(all_includes)
 # claim, which subdirectories you want to install
 SUBDIRS = . pix
 
-bin_PROGRAMS = kdvi
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdvi.la
 
 # you can add here more. This one gets installed
 kde_module_LTLIBRARIES= kdvipart.la
@@ -31,16 +33,16 @@
 
 kdvipart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 kdvipart_la_LIBADD = $(LIBFREETYPE_LIBS) -lkparts \
-			$(top_builddir)/kviewshell/libkmultipage.la
+			$(top_builddir)/kviewshell/libkmultipage.la $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) -lDCOP
 
 # Which sources should be compiled for squeeze.
 squeeze_SOURCES	= squeeze.c
 
 KDE_OPTIONS = nofinal
 
-kdvi_SOURCES = main.cpp 
-kdvi_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kdvi_LDADD = ../kviewshell/libifaces.la ../kviewshell/libkviewshell.la -lkparts
+kdvi_la_SOURCES = main.cpp 
+kdvi_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kdvi_la_LIBADD = ../kviewshell/libifaces.la ../kviewshell/libkviewshell.la -lkparts -lDCOP
 
 ## this option you can leave out. Just, if you use "make dist", you need it
 noinst_HEADERS = dvi.h dviRenderer.h xdvi.h
diff -Nurd kdegraphics-3.5.10/kdvi/main.cpp kdegraphics-3.5.10-new/kdvi/main.cpp
--- kdegraphics-3.5.10/kdvi/main.cpp	2005-11-08 17:25:52.000000000 -0500
+++ kdegraphics-3.5.10-new/kdvi/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -29,7 +29,7 @@
 static const char description[] = I18N_NOOP("A previewer for Device Independent files (DVI files) produced by the TeX typesetting system.");
 
 
-int main(int argc, char** argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char** argv)
 {
   KAboutData about ("kdvi", I18N_NOOP("KDVI"), "1.4",
                     description, KAboutData::License_GPL,
diff -Nurd kdegraphics-3.5.10/kfax/Makefile.am kdegraphics-3.5.10-new/kfax/Makefile.am
--- kdegraphics-3.5.10/kfax/Makefile.am	2005-10-10 10:56:54.000000000 -0400
+++ kdegraphics-3.5.10-new/kfax/Makefile.am	2010-07-26 01:15:46.000000000 -0400
@@ -1,16 +1,18 @@
-AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-LDADD      = $(LIB_KFILE) $(LIB_KDEPRINT) -lm
 INCLUDES   = $(all_includes)
 
 ####### Files
 noinst_HEADERS = kfax.h faxexpand.h options.h
 
-kfax_SOURCES   = options.cpp kfax.cpp faxexpand.cpp faxinit.cpp faxinput.cpp \
+kfax_la_SOURCES   = options.cpp kfax.cpp faxexpand.cpp faxinit.cpp faxinput.cpp \
 		 viewfax.cpp kfax_printsettings.cpp
+kfax_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kfax_la_LIBADD  = $(LIB_KFILE) $(LIB_KDEPRINT) -lm $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 METASOURCES    = AUTO
 
-bin_PROGRAMS   = kfax
+bin_PROGRAMS   = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kfax.la
 
 xdg_apps_DATA = kfax.desktop
 
diff -Nurd kdegraphics-3.5.10/kfax/kfax.cpp kdegraphics-3.5.10-new/kfax/kfax.cpp
--- kdegraphics-3.5.10/kfax/kfax.cpp	2007-01-15 06:22:09.000000000 -0500
+++ kdegraphics-3.5.10-new/kfax/kfax.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -1646,7 +1646,7 @@
    KCmdLineLastOption
 };
 
-int main (int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain (int argc, char **argv)
 {
   KAboutData aboutData( "kfax", I18N_NOOP("KFax"),
       KFAXVERSION, description, KAboutData::License_GPL,
diff -Nurd kdegraphics-3.5.10/kfaxview/Makefile.am kdegraphics-3.5.10-new/kfaxview/Makefile.am
--- kdegraphics-3.5.10/kfaxview/Makefile.am	2005-09-10 04:18:44.000000000 -0400
+++ kdegraphics-3.5.10-new/kfaxview/Makefile.am	2010-08-08 13:24:03.000000000 -0400
@@ -1,8 +1,7 @@
 INCLUDES = -I$(top_srcdir)/kviewshell \
 	-I$(top_builddir)/kviewshell \
-	-I$(kde_includes)/kviewshell \
 	-I$(srcdir)/libkfaximage \
-	-I$(top_srcdir) $(all_includes)
+	-I$(top_srcdir)	-I$(kde_includes)/kviewshell $(all_includes)
 
 SUBDIRS = libkfaximage .
 
@@ -13,7 +12,7 @@
 bin_PROGRAMS = kfaxview
 kfaxview_SOURCES = main.cpp
 kfaxview_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kfaxview_LDADD = ../kviewshell/libifaces.la ../kviewshell/libkviewshell.la -lkparts
+kfaxview_LDADD = ../kviewshell/libifaces.la ../kviewshell/libkviewshell.la -lkparts -lDCOP
 
 # this is where the desktop file will go
 kde_services_DATA = kfaxmultipage.desktop kfaxmultipage_tiff.desktop
@@ -23,7 +22,7 @@
 
 kde_module_LTLIBRARIES = kfaxviewpart.la
 kfaxviewpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kfaxviewpart_la_LIBADD = -lkdeprint -lkparts $(top_builddir)/kviewshell/libkmultipage.la libkfaximage/libkfaximage.la
+kfaxviewpart_la_LIBADD = -lkdeprint -lkparts $(top_builddir)/kviewshell/libkmultipage.la libkfaximage/libkfaximage.la -lDCOP $(LIB_KDEUI)
 kfaxviewpart_la_SOURCES = faxmultipage.cpp faxrenderer.cpp
 
 partdir = $(kde_datadir)/kfaxview
diff -Nurd kdegraphics-3.5.10/kfaxview/libkfaximage/Makefile.am kdegraphics-3.5.10-new/kfaxview/libkfaximage/Makefile.am
--- kdegraphics-3.5.10/kfaxview/libkfaximage/Makefile.am	2005-09-10 04:18:44.000000000 -0400
+++ kdegraphics-3.5.10-new/kfaxview/libkfaximage/Makefile.am	2010-07-26 01:02:41.000000000 -0400
@@ -1,8 +1,8 @@
 INCLUDES = -I$(top_srcdir) $(all_includes)
 
 lib_LTLIBRARIES = libkfaximage.la
-libkfaximage_la_LDFLAGS = $(all_libraries) -no-undefined -avoid-version
-libkfaximage_la_LIBADD  = $(LIB_KDECORE)
+libkfaximage_la_LDFLAGS = $(all_libraries) -no-undefined
+libkfaximage_la_LIBADD  = $(LIB_KDECORE) $(LIB_QT)
 libkfaximage_la_SOURCES = kfaximage.cpp faxexpand.cpp faxinit.cpp
 
 include_HEADERS = kfaximage.h
diff -Nurd kdegraphics-3.5.10/kfile-plugins/bmp/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/bmp/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/bmp/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/bmp/Makefile.am	2010-07-26 02:08:10.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_bmp_la_SOURCES = kfile_bmp.cpp 
 kfile_bmp_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_bmp_la_LIBADD = $(LIB_KSYCOCA)
+kfile_bmp_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/dds/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/dds/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/dds/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/dds/Makefile.am	2010-07-26 02:11:29.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_dds_la_SOURCES = kfile_dds.cpp 
 kfile_dds_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_dds_la_LIBADD = $(LIB_KSYCOCA)
+kfile_dds_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/dvi/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/dvi/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/dvi/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/dvi/Makefile.am	2010-07-26 02:03:49.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_dvi_la_SOURCES = kfile_dvi.cpp
 kfile_dvi_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_dvi_la_LIBADD = $(LIB_KIO)
+kfile_dvi_la_LIBADD = $(LIB_KIO) $(LIB_KDECORE) $(LIB_QT)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/exr/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/exr/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/exr/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/exr/Makefile.am	2010-07-26 02:10:55.000000000 -0400
@@ -13,7 +13,7 @@
 
 kfile_exr_la_SOURCES = kfile_exr.cpp
 kfile_exr_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_exr_la_LIBADD = $(LIB_KIO) $(LIB_EXR)
+kfile_exr_la_LIBADD = $(LIB_KIO) $(LIB_EXR) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/gif/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/gif/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/gif/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/gif/Makefile.am	2010-07-26 02:11:43.000000000 -0400
@@ -12,7 +12,7 @@
 
 kfile_gif_la_SOURCES = kfile_gif.cpp
 kfile_gif_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_gif_la_LIBADD = $(LIB_KIO)
+kfile_gif_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/ico/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/ico/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/ico/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/ico/Makefile.am	2010-07-26 02:09:20.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_ico_la_SOURCES = kfile_ico.cpp 
 kfile_ico_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_ico_la_LIBADD = $(LIB_KSYCOCA)
+kfile_ico_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/jpeg/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/jpeg/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/jpeg/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/jpeg/Makefile.am	2010-07-26 02:07:04.000000000 -0400
@@ -12,7 +12,7 @@
 
 kfile_jpeg_la_SOURCES = kfile_jpeg.cpp exif.cpp kfile_setcomment.cpp
 kfile_jpeg_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_jpeg_la_LIBADD = $(LIB_KIO)
+kfile_jpeg_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/pcx/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/pcx/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/pcx/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/pcx/Makefile.am	2010-07-26 02:09:33.000000000 -0400
@@ -9,7 +9,7 @@
 
 kfile_pcx_la_SOURCES = kfile_pcx.cpp
 kfile_pcx_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_pcx_la_LIBADD = $(LIB_KIO) $(LIBTIFF)
+kfile_pcx_la_LIBADD = $(LIB_KIO) $(LIBTIFF) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/pdf/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/pdf/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/pdf/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/pdf/Makefile.am	2010-07-26 02:11:12.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_pdf_la_SOURCES = kfile_pdf.cpp
 kfile_pdf_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_pdf_la_LIBADD = $(LIB_KIO) $(POPPLER_LIBS)
+kfile_pdf_la_LIBADD = $(LIB_KIO) $(POPPLER_LIBS) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/png/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/png/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/png/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/png/Makefile.am	2010-07-26 02:04:35.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_png_la_SOURCES = kfile_png.cpp
 kfile_png_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_png_la_LIBADD = $(LIB_KIO)
+kfile_png_la_LIBADD = $(LIB_KIO) $(LIBPNG) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/pnm/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/pnm/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/pnm/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/pnm/Makefile.am	2010-07-26 02:10:29.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_pnm_la_SOURCES = kfile_pnm.cpp
 kfile_pnm_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_pnm_la_LIBADD = $(LIB_KIO)
+kfile_pnm_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/ps/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/ps/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/ps/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/ps/Makefile.am	2010-07-26 02:06:21.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_ps_la_SOURCES = kfile_ps.cpp
 kfile_ps_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_ps_la_LIBADD = $(LIB_KIO) ../../kghostview/libdscparse.la
+kfile_ps_la_LIBADD = $(LIB_KIO) ../../kghostview/libdscparse.la $(LIB_KDECORE)
 
 gsthumbnail_la_SOURCES = gscreator.cpp
 gsthumbnail_la_LIBADD = $(LIB_KDECORE) ../../kghostview/libdscparse.la
diff -Nurd kdegraphics-3.5.10/kfile-plugins/raw/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/raw/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/raw/Makefile.am	2006-03-17 05:11:23.000000000 -0500
+++ kdegraphics-3.5.10-new/kfile-plugins/raw/Makefile.am	2010-07-26 02:12:00.000000000 -0400
@@ -9,7 +9,7 @@
 kde_module_LTLIBRARIES = kfile_raw.la
 
 kfile_raw_la_SOURCES = kcamerarawplugin.cpp parse.c
-kfile_raw_la_LIBADD = $(LIB_KIO) 
+kfile_raw_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kfile_raw_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 # let automoc handle all of the meta source files (moc)
diff -Nurd kdegraphics-3.5.10/kfile-plugins/rgb/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/rgb/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/rgb/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/rgb/Makefile.am	2010-07-26 02:08:59.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_rgb_la_SOURCES = kfile_rgb.cpp
 kfile_rgb_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_rgb_la_LIBADD = $(LIB_KSYCOCA)
+kfile_rgb_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/tga/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/tga/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/tga/Makefile.am	2005-09-10 04:19:25.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/tga/Makefile.am	2010-07-26 02:08:26.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_tga_la_SOURCES = kfile_tga.cpp 
 kfile_tga_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_tga_la_LIBADD = $(LIB_KSYCOCA)
+kfile_tga_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/tiff/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/tiff/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/tiff/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/tiff/Makefile.am	2010-07-26 02:10:07.000000000 -0400
@@ -9,7 +9,7 @@
 
 kfile_tiff_la_SOURCES = kfile_tiff.cpp
 kfile_tiff_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_tiff_la_LIBADD = $(LIB_KIO) $(LIBTIFF)
+kfile_tiff_la_LIBADD = $(LIB_KIO) $(LIBTIFF) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/xbm/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/xbm/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/xbm/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/xbm/Makefile.am	2010-07-26 02:07:29.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_xbm_la_SOURCES = kfile_xbm.cpp 
 kfile_xbm_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_xbm_la_LIBADD = $(LIB_KSYCOCA)
+kfile_xbm_la_LIBADD = $(LIB_KSYCOCA) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kfile-plugins/xpm/Makefile.am kdegraphics-3.5.10-new/kfile-plugins/xpm/Makefile.am
--- kdegraphics-3.5.10/kfile-plugins/xpm/Makefile.am	2005-09-10 04:19:24.000000000 -0400
+++ kdegraphics-3.5.10-new/kfile-plugins/xpm/Makefile.am	2010-07-26 02:07:54.000000000 -0400
@@ -9,7 +9,7 @@
 
 kfile_xpm_la_SOURCES = kfile_xpm.cpp
 kfile_xpm_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_xpm_la_LIBADD = $(LIB_KIO)
+kfile_xpm_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kfile_xpm_la_METASOURCES = kfile_xpm.moc
 
 # let automoc handle all of the meta source files (moc)
diff -Nurd kdegraphics-3.5.10/kghostview/Makefile.am kdegraphics-3.5.10-new/kghostview/Makefile.am
--- kdegraphics-3.5.10/kghostview/Makefile.am	2006-05-22 14:05:40.000000000 -0400
+++ kdegraphics-3.5.10-new/kghostview/Makefile.am	2010-09-19 04:57:57.000000000 -0400
@@ -4,13 +4,14 @@
 
 ####### Files
 
-bin_PROGRAMS = 	kghostview
+kdeinit_LTLIBRARIES = kghostview.la
+bin_PROGRAMS = 	
 lib_LTLIBRARIES = libkghostviewlib.la
 kde_module_LTLIBRARIES = libkghostviewpart.la
 noinst_LTLIBRARIES = libdscparse.la
 
 libkghostviewlib_la_LDFLAGS = $(all_libraries)
-libkghostviewlib_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint libdscparse.la
+libkghostviewlib_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint libdscparse.la $(LIB_KDEUI) $(LIB_KDECORE)
 
 libkghostviewpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 libkghostviewpart_la_LIBADD = libkghostviewlib.la
@@ -27,9 +28,9 @@
 
 libkghostviewpart_la_SOURCES = part_init.cpp
 
-kghostview_SOURCES = main.cpp
-kghostview_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kghostview_LDADD = libkghostviewlib.la
+kghostview_la_SOURCES = main.cpp
+kghostview_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kghostview_la_LIBADD = libkghostviewlib.la $(LIB_KDECORE) $(LIB_KDEUI)
 
 libdscparse_la_LDFLAGS = $(all_libraries) -no-undefined
 libdscparse_la_LIBADD = $(LIB_QT)
diff -Nurd kdegraphics-3.5.10/kghostview/main.cpp kdegraphics-3.5.10-new/kghostview/main.cpp
--- kdegraphics-3.5.10/kghostview/main.cpp	2007-10-08 05:48:41.000000000 -0400
+++ kdegraphics-3.5.10-new/kghostview/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -43,7 +43,7 @@
     KCmdLineLastOption
 };
 
-int main( int argc, char** argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char** argv )
 {
     KCmdLineArgs::init( argc, argv, KGVPart::createAboutData() );
     KCmdLineArgs::addCmdLineOptions( options );
diff -Nurd kdegraphics-3.5.10/kiconedit/Makefile.am kdegraphics-3.5.10-new/kiconedit/Makefile.am
--- kdegraphics-3.5.10/kiconedit/Makefile.am	2006-03-17 05:11:23.000000000 -0500
+++ kdegraphics-3.5.10-new/kiconedit/Makefile.am	2010-07-26 01:11:40.000000000 -0400
@@ -1,18 +1,20 @@
 INCLUDES = $(all_includes)
 SUBDIRS = pics
 
-bin_PROGRAMS = kiconedit
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kiconedit.la
 
-kiconedit_SOURCES = utils.cpp main.cpp kiconedit.cpp kicongrid.cpp \
+kiconedit_la_SOURCES = utils.cpp main.cpp kiconedit.cpp kicongrid.cpp \
     kiconcolors.cpp kcolorgrid.cpp palettetoolbar.cpp\
     kicon.cpp kresize.cpp knew.cpp properties.cpp \
     kiconeditslots.cpp kiconconfig.cpp 
 
-kiconedit_METASOURCES = AUTO
+kiconedit_la_METASOURCES = AUTO
 
 # the library search path. 
-kiconedit_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kiconedit_LDADD = $(LIB_KFILE) -lkdeprint
+kiconedit_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kiconedit_la_LIBADD = $(LIB_KFILE) -lkdeprint $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 DISTCLEANFILES = *~ .deps/* .libs/*
 
diff -Nurd kdegraphics-3.5.10/kiconedit/main.cpp kdegraphics-3.5.10-new/kiconedit/main.cpp
--- kdegraphics-3.5.10/kiconedit/main.cpp	2005-10-10 10:56:55.000000000 -0400
+++ kdegraphics-3.5.10-new/kiconedit/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -40,7 +40,7 @@
   KCmdLineLastOption
 };
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
   KAboutData aboutData( "kiconedit", I18N_NOOP("KIconEdit"),
     VERSION, description, KAboutData::License_GPL,
diff -Nurd kdegraphics-3.5.10/kmrml/kmrml/Makefile.am kdegraphics-3.5.10-new/kmrml/kmrml/Makefile.am
--- kdegraphics-3.5.10/kmrml/kmrml/Makefile.am	2005-09-10 04:19:22.000000000 -0400
+++ kdegraphics-3.5.10-new/kmrml/kmrml/Makefile.am	2010-07-26 01:59:17.000000000 -0400
@@ -9,13 +9,13 @@
 kde_module_LTLIBRARIES = kio_mrml.la libkmrmlpart.la
 
 kio_mrml_la_SOURCES = mrml.cpp
-kio_mrml_la_LIBADD  = $(LIB_KMRMLSTUFF) $(LIB_KIO)
+kio_mrml_la_LIBADD  = $(LIB_KMRMLSTUFF) $(LIB_KIO) $(LIB_QT)
 kio_mrml_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 libkmrmlpart_la_SOURCES = mrml_part.cpp mrml_view.cpp loader.cpp \
 	mrml_elements.cpp mrml_creator.cpp browser.cpp algorithmdialog.cpp \
 	collectioncombo.cpp algorithmcombo.cpp propertysheet.cpp
-libkmrmlpart_la_LIBADD = $(LIB_KMRMLSTUFF) $(LIB_KPARTS)
+libkmrmlpart_la_LIBADD = $(LIB_KMRMLSTUFF) $(LIB_KPARTS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KIO)
 libkmrmlpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
 
 services_DATA = mrml.protocol mrml_part.desktop
@@ -32,7 +32,7 @@
 lib_LTLIBRARIES = 
 kdeinit_LTLIBRARIES = mrmlsearch.la
 
-mrmlsearch_la_LIBADD = $(LIB_KMRMLSTUFF) $(LIB_KDECORE)
+mrmlsearch_la_LIBADD = $(LIB_KMRMLSTUFF) $(LIB_KDECORE) $(LIB_QT) -lDCOP
 mrmlsearch_la_LDFLAGS = $(all_libraries) -module -avoid-version
 mrmlsearch_la_SOURCES = mrmlsearch.cpp
 
diff -Nurd kdegraphics-3.5.10/kmrml/kmrml/kcontrol/Makefile.am kdegraphics-3.5.10-new/kmrml/kmrml/kcontrol/Makefile.am
--- kdegraphics-3.5.10/kmrml/kmrml/kcontrol/Makefile.am	2005-09-10 04:19:22.000000000 -0400
+++ kdegraphics-3.5.10-new/kmrml/kmrml/kcontrol/Makefile.am	2010-07-26 02:37:01.000000000 -0400
@@ -4,7 +4,7 @@
 
 kcm_kmrml_la_SOURCES = kcmkmrml.cpp mainpage.cpp indexer.cpp serverconfigwidget.ui indexcleaner.cpp
 kcm_kmrml_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_kmrml_la_LIBADD = $(LIB_KMRMLSTUFF) $(LIB_KIO)
+kcm_kmrml_la_LIBADD = $(LIB_KMRMLSTUFF) $(LIB_KIO) $(LIB_QT) $(LIB_KDEUI)
 INCLUDES= -I$(top_srcdir)/kmrml/kmrml/lib $(all_includes)
  
 kcm_kmrml_la_METASOURCES = AUTO
diff -Nurd kdegraphics-3.5.10/kmrml/kmrml/lib/Makefile.am kdegraphics-3.5.10-new/kmrml/kmrml/lib/Makefile.am
--- kdegraphics-3.5.10/kmrml/kmrml/lib/Makefile.am	2005-09-10 04:19:22.000000000 -0400
+++ kdegraphics-3.5.10-new/kmrml/kmrml/lib/Makefile.am	2010-07-26 01:58:53.000000000 -0400
@@ -6,6 +6,6 @@
 METASOURCES = AUTO
 
 libkmrmlstuff_la_LDFLAGS = $(all_libraries) -no-undefined
-libkmrmlstuff_la_LIBADD = $(LIB_KDECORE)
+libkmrmlstuff_la_LIBADD = $(LIB_KDECORE) -lDCOP
 
 INCLUDES = -I$(top_srcdir) $(all_includes)
diff -Nurd kdegraphics-3.5.10/kolourpaint/Makefile.am kdegraphics-3.5.10-new/kolourpaint/Makefile.am
--- kdegraphics-3.5.10/kolourpaint/Makefile.am	2005-09-10 04:19:07.000000000 -0400
+++ kdegraphics-3.5.10-new/kolourpaint/Makefile.am	2010-07-26 01:54:18.000000000 -0400
@@ -40,7 +40,7 @@
     kpviewscrollablecontainer.cpp \
     kpwidgetmapper.cpp
 kolourpaint_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kolourpaint_LDADD = $(LIB_KDEPRINT) \
+kolourpaint_LDADD = $(LIB_KDEPRINT) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO) -lDCOP -lkdefx \
     cursors/libkolourpaintcursors.la \
     pixmapfx/libkolourpaintpixmapfx.la \
     tools/libkolourpainttools.la \
diff -Nurd kdegraphics-3.5.10/kooka/Makefile.am kdegraphics-3.5.10-new/kooka/Makefile.am
--- kdegraphics-3.5.10/kooka/Makefile.am	2005-09-10 04:19:00.000000000 -0400
+++ kdegraphics-3.5.10-new/kooka/Makefile.am	2010-07-26 01:19:44.000000000 -0400
@@ -2,10 +2,13 @@
 
 SUBDIRS = pics
 
-bin_PROGRAMS = kooka
+bin_PROGRAMS =
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kooka.la
+
 METASOURCES = AUTO
 
-kooka_SOURCES =	main.cpp kooka.cpp kookaview.cpp kookapref.cpp 		\
+kooka_la_SOURCES =	main.cpp kooka.cpp kookaview.cpp kookapref.cpp 		\
 		img_saver.cpp ksaneocr.cpp \
 		kookaimage.cpp kookaimagemeta.cpp scanpackager.cpp 	\
 		imgnamecombo.cpp imageselectline.cpp      \
@@ -16,8 +19,8 @@
 		kocrocrad.cpp
 # 		pagesetup.cpp 
 
-kooka_LDADD   = $(LIB_KFILE) -lkdeprint -lktexteditor $(LIBTIFF) $(top_builddir)/libkscan/libkscan.la $(KADMOS_LIB) $(LIB_KSPELL)
-kooka_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+kooka_la_LIBADD   = $(LIB_KFILE) -lkdeprint -lktexteditor $(LIBTIFF) $(top_builddir)/libkscan/libkscan.la $(KADMOS_LIB) $(LIB_KSPELL) $(LIB_KPARTS)
+kooka_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -module
 
 INCLUDES         = -I$(top_srcdir)/libkscan $(all_includes) $(LIBSANE_INCLUDES) $(KADMOS_INC)
 
diff -Nurd kdegraphics-3.5.10/kooka/main.cpp kdegraphics-3.5.10-new/kooka/main.cpp
--- kdegraphics-3.5.10/kooka/main.cpp	2007-10-08 05:48:39.000000000 -0400
+++ kdegraphics-3.5.10-new/kooka/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -71,7 +71,7 @@
 
 
 
-int main( int argc, char *argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char *argv[] )
 {
    KAboutData about("kooka", I18N_NOOP("Kooka"), KOOKA_VERSION, I18N_NOOP(description),
 		    KAboutData::License_GPL_V2, "(C) 2000 Klaas Freitag", 0,
diff -Nurd kdegraphics-3.5.10/kpdf/Makefile.am kdegraphics-3.5.10-new/kpdf/Makefile.am
--- kdegraphics-3.5.10/kpdf/Makefile.am	2005-09-10 04:18:43.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/Makefile.am	2010-07-26 01:46:17.000000000 -0400
@@ -1,6 +1,6 @@
 SUBDIRS = xpdf conf core ui shell
 
-INCLUDES = -I$(srcdir)/xpdf -I$(srcdir)/xpdf/goo -I$(top_builddir)/kpdf $(all_includes) $(FREETYPE_CFLAGS)
+INCLUDES = -I$(srcdir)/xpdf -I$(srcdir)/xpdf/goo -I$(top_builddir)/kpdf $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) $(all_includes)
 
 METASOURCES = AUTO
 
@@ -19,7 +19,7 @@
 libkpdfpart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 libkpdfpart_la_LIBADD  = xpdf/xpdf/libxpdf.la conf/libkpdfconf.la \
                          core/libkpdfcore.la ui/libkpdfui.la $(LIB_KPARTS) \
-                         $(LIB_KFILE) $(LIB_KDEPRINT) $(LIB_KUTILS) -lm
+                         $(LIB_KFILE) $(LIB_KDEPRINT) $(LIB_KUTILS) -lm $(LIB_KDECORE)
 
 partdesktopdir   = $(kde_servicesdir)
 partdesktop_DATA = kpdf_part.desktop
diff -Nurd kdegraphics-3.5.10/kpdf/core/Makefile.am kdegraphics-3.5.10-new/kpdf/core/Makefile.am
--- kdegraphics-3.5.10/kpdf/core/Makefile.am	2005-09-10 04:18:42.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/core/Makefile.am	2010-07-26 01:50:41.000000000 -0400
@@ -4,7 +4,7 @@
 
 METASOURCES = AUTO
 
-libkpdfcore_la_LIBADD = ./generator_pdf/libgeneratorpdf.la ./generator_kimgio/libgeneratorkimgio.la
+libkpdfcore_la_LIBADD = ./generator_pdf/libgeneratorpdf.la ./generator_kimgio/libgeneratorkimgio.la -lkwalletclient
 libkpdfcore_la_SOURCES = document.cpp link.cpp page.cpp pagetransition.cpp
 
 noinst_LTLIBRARIES = libkpdfcore.la
diff -Nurd kdegraphics-3.5.10/kpdf/shell/Makefile.am kdegraphics-3.5.10-new/kpdf/shell/Makefile.am
--- kdegraphics-3.5.10/kpdf/shell/Makefile.am	2005-09-10 04:18:43.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/shell/Makefile.am	2010-07-26 00:53:41.000000000 -0400
@@ -1,12 +1,15 @@
-INCLUDES = -I$(srcdir)/xpdf -I$(srcdir)/xpdf/goo -I$(top_builddir)/kpdf $(all_includes) $(FREETYPE_CFLAGS)
+INCLUDES = -I$(srcdir)/xpdf -I$(srcdir)/xpdf/goo -I$(top_builddir)/kpdf $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) $(all_includes)
+LDFLAGS  = $(FREETYPE_LDFLAGS) $(FONTCONFIG_LDFLAGS)
 
 METASOURCES = AUTO
 
-bin_PROGRAMS = kpdf
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kpdf.la
 
-kpdf_SOURCES = main.cpp shell.cpp
-kpdf_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-kpdf_LDADD   = $(LIB_KPARTS)
+kpdf_la_SOURCES = main.cpp shell.cpp
+kpdf_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -module
+kpdf_la_LIBADD  = $(LIB_KPARTS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
 
 EXTRA_DIST = kpdf.desktop
 xdg_apps_DATA = kpdf.desktop
diff -Nurd kdegraphics-3.5.10/kpdf/shell/main.cpp kdegraphics-3.5.10-new/kpdf/shell/main.cpp
--- kdegraphics-3.5.10/kpdf/shell/main.cpp	2008-08-19 14:12:37.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/shell/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -29,7 +29,7 @@
     KCmdLineLastOption
 };
 
-int main(int argc, char** argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char** argv)
 {
     KAboutData about(
         "kpdf",
diff -Nurd kdegraphics-3.5.10/kpdf/ui/Makefile.am kdegraphics-3.5.10-new/kpdf/ui/Makefile.am
--- kdegraphics-3.5.10/kpdf/ui/Makefile.am	2007-10-08 05:48:38.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/ui/Makefile.am	2010-07-26 01:47:13.000000000 -0400
@@ -5,6 +5,7 @@
 libkpdfui_la_SOURCES = pagepainter.cpp pageview.cpp pageviewutils.cpp \
                        minibar.cpp thumbnaillist.cpp searchwidget.cpp \
                        toc.cpp propertiesdialog.cpp presentationwidget.cpp
+libkpdfui_la_LIBADD = $(LIB_QT) $(LIB_KDEUI) -lDCOP -lkdefx
 
 noinst_LTLIBRARIES = libkpdfui.la
 
diff -Nurd kdegraphics-3.5.10/kpdf/xpdf/xpdf/GlobalParams.cc kdegraphics-3.5.10-new/kpdf/xpdf/xpdf/GlobalParams.cc
--- kdegraphics-3.5.10/kpdf/xpdf/xpdf/GlobalParams.cc	2007-05-14 03:39:30.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/xpdf/xpdf/GlobalParams.cc	2010-07-25 19:04:30.000000000 -0400
@@ -2066,7 +2066,7 @@
   if (type.contains("Italic")) slant=FC_SLANT_ITALIC;
   if (type.contains("Bold")) weight=FC_WEIGHT_BOLD;
   if (type.contains("Light")) weight=FC_WEIGHT_LIGHT;
-  if (type.contains("Condensed")) width=FC_WIDTH_CONDENSED;
+  // if (type.contains("Condensed")) width=FC_WIDTH_CONDENSED;
 }
 
 DisplayFontParam *GlobalParams::getDisplayFont(GString *fontName) {
@@ -2080,13 +2080,14 @@
   dfp = (DisplayFontParam *)displayFonts->lookup(fontName);
   // KPDF: try to find font using Xft
   if (!dfp) {
-  	int weight=FC_WEIGHT_MEDIUM, slant=FC_SLANT_ROMAN, width=FC_WIDTH_NORMAL;
+  	int weight=FC_WEIGHT_MEDIUM, slant=FC_SLANT_ROMAN, width=0;
 	QString name(fontName->getCString());
 	
 	parseStyle(name,weight,slant,width);
 	p = FcPatternBuild(0,FC_FAMILY,FcTypeString, name.ascii(), 
 		FC_SLANT, FcTypeInteger, slant, FC_WEIGHT, FcTypeInteger, weight,
-		FC_WIDTH, FcTypeInteger, width, FC_LANG, FcTypeString, "xx", (char*)0);
+		// FC_WIDTH, FcTypeInteger, width, FC_LANG, FcTypeString, "xx", (char*)0);
+		FC_LANG, FcTypeString, "xx", (char*)0);
 	if (!p) goto fin;
 	m = XftFontMatch(qt_xdisplay(),qt_xscreen(),p,&res);
 	if (!m) goto fin;
diff -Nurd kdegraphics-3.5.10/kpdf/xpdf/xpdf/Makefile.am kdegraphics-3.5.10-new/kpdf/xpdf/xpdf/Makefile.am
--- kdegraphics-3.5.10/kpdf/xpdf/xpdf/Makefile.am	2007-05-14 03:39:30.000000000 -0400
+++ kdegraphics-3.5.10-new/kpdf/xpdf/xpdf/Makefile.am	2010-07-25 19:04:30.000000000 -0400
@@ -1,7 +1,7 @@
 INCLUDES = -I$(srcdir)/.. -I$(srcdir)/../fofi -I$(srcdir)/../splash -I$(srcdir)/../goo $(LIBFREETYPE_CFLAGS) $(XFT_CFLAGS) $(all_includes)
 
 libxpdf_la_LDFLAGS = $(all_libraries)
-libxpdf_la_LIBADD = $(LIB_X11) $(LIBFREETYPE_LIBS) $(LIBPAPER_LIBS) $(XFT_LIBS) $(LIBJPEG) ../goo/libgoo.la ../fofi/libfofi.la ../splash/libsplash.la 
+libxpdf_la_LIBADD = $(LIBFREETYPE_LIBS) $(XFT_LIBS) $(LIB_X11) $(LIBPAPER_LIBS) $(LIBJPEG) ../goo/libgoo.la ../fofi/libfofi.la ../splash/libsplash.la 
 libxpdf_la_SOURCES = Annot.cc Array.cc BuiltinFont.cc BuiltinFontTables.cc \
      Catalog.cc CharCodeToUnicode.cc CMap.cc Decrypt.cc Dict.cc \
      FontEncodingTables.cc Function.cc Gfx.cc \
diff -Nurd kdegraphics-3.5.10/kpovmodeler/Makefile.am kdegraphics-3.5.10-new/kpovmodeler/Makefile.am
--- kdegraphics-3.5.10/kpovmodeler/Makefile.am	2005-09-10 04:18:54.000000000 -0400
+++ kdegraphics-3.5.10-new/kpovmodeler/Makefile.am	2010-07-25 19:04:30.000000000 -0400
@@ -110,7 +110,7 @@
 	pmpartiface.skel
 
 libkpovmodeler_la_LDFLAGS = $(all_libraries) -version-info 0:0:0 -no-undefined $(LIBFREETYPE_RPATH)
-libkpovmodeler_la_LIBADD = $(LIBFREETYPE_LIBS) $(LIB_KPARTS) $(GLLIB) -lXmu -lXi
+libkpovmodeler_la_LIBADD = $(LIBFREETYPE_LIBS) $(LIB_KPARTS) $(GLLIB) -lXmu -lXi $(LIB_KDECORE) $(LIB_QT) $(LIB_KDEUI) $(LIB_KIO) -lDCOP
 METASOURCES = AUTO
 
 noinst_HEADERS = pmpart.h pmfactory.h pmview.h pmshell.h pmobjectdrag.h \
@@ -224,11 +224,12 @@
 ####
 # the executable
 
-bin_PROGRAMS = kpovmodeler
+bin_PROGRAMS = 
+kdeinit_LTLIBRARIES = kpovmodeler.la
 
-kpovmodeler_SOURCES = main.cpp
-kpovmodeler_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kpovmodeler_LDADD = libkpovmodeler.la
+kpovmodeler_la_SOURCES = main.cpp
+kpovmodeler_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kpovmodeler_la_LIBADD  = libkpovmodeler.la
 
 dummy.cpp:
 	echo > dummy.cpp
diff -Nurd kdegraphics-3.5.10/kpovmodeler/main.cpp kdegraphics-3.5.10-new/kpovmodeler/main.cpp
--- kdegraphics-3.5.10/kpovmodeler/main.cpp	2007-10-08 05:48:38.000000000 -0400
+++ kdegraphics-3.5.10-new/kpovmodeler/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -35,7 +35,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char* argv[] )
+extern "C" KDE_EXPORT int kdemain( int argc, char* argv[] )
 {
    PMShell* shell = 0;
 
diff -Nurd kdegraphics-3.5.10/kruler/Makefile.am kdegraphics-3.5.10-new/kruler/Makefile.am
--- kdegraphics-3.5.10/kruler/Makefile.am	2005-09-10 04:19:23.000000000 -0400
+++ kdegraphics-3.5.10-new/kruler/Makefile.am	2010-07-26 00:52:33.000000000 -0400
@@ -2,11 +2,14 @@
 
 INCLUDES= $(all_includes)
 
-bin_PROGRAMS = kruler
-kruler_METASOURCES = AUTO
-kruler_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kruler_LDADD   = $(LIB_KDEUI)
-kruler_SOURCES = klineal.cpp main.cpp 
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kruler.la
+
+kruler_la_METASOURCES = AUTO
+kruler_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kruler_la_LIBADD  = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lkdefx
+kruler_la_SOURCES = klineal.cpp main.cpp 
 
 xdg_apps_DATA = kruler.desktop
 
diff -Nurd kdegraphics-3.5.10/kruler/main.cpp kdegraphics-3.5.10-new/kruler/main.cpp
--- kdegraphics-3.5.10/kruler/main.cpp	2005-09-10 04:19:23.000000000 -0400
+++ kdegraphics-3.5.10-new/kruler/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -22,7 +22,7 @@
   // INSERT YOUR COMMANDLINE OPTIONS HERE
 };
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 
 
diff -Nurd kdegraphics-3.5.10/ksnapshot/Makefile.am kdegraphics-3.5.10-new/ksnapshot/Makefile.am
--- kdegraphics-3.5.10/ksnapshot/Makefile.am	2005-09-10 04:19:19.000000000 -0400
+++ kdegraphics-3.5.10-new/ksnapshot/Makefile.am	2010-07-26 01:08:52.000000000 -0400
@@ -1,14 +1,16 @@
-bin_PROGRAMS= ksnapshot
+bin_PROGRAMS= 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ksnapshot.la
 
 INCLUDES = -DKSNAPVERSION="\"0.7\"" $(all_includes)
 
-ksnapshot_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-ksnapshot_LDADD = $(LIB_KDEPRINT)
+ksnapshot_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module
+ksnapshot_la_LIBADD = $(LIB_KDEPRINT) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO) -lDCOP
 
-ksnapshot_SOURCES = ksnapshotiface.skel main.cpp ksnapshot.cpp \
+ksnapshot_la_SOURCES = ksnapshotiface.skel main.cpp ksnapshot.cpp \
     regiongrabber.cpp windowgrabber.cpp ksnapshotwidget.ui
 
-ksnapshot_METASOURCES = AUTO
+ksnapshot_la_METASOURCES = AUTO
 
 xdg_apps_DATA = ksnapshot.desktop
 
diff -Nurd kdegraphics-3.5.10/ksnapshot/main.cpp kdegraphics-3.5.10-new/ksnapshot/main.cpp
--- kdegraphics-3.5.10/ksnapshot/main.cpp	2007-10-08 05:48:40.000000000 -0400
+++ kdegraphics-3.5.10-new/ksnapshot/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -40,7 +40,7 @@
     { 0, 0, 0 }
 };
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
   KAboutData aboutData( "ksnapshot", I18N_NOOP("KSnapshot"),
     KSNAPVERSION, description, KAboutData::License_GPL,
diff -Nurd kdegraphics-3.5.10/ksvg/Makefile.am kdegraphics-3.5.10-new/ksvg/Makefile.am
--- kdegraphics-3.5.10/ksvg/Makefile.am	2005-09-10 04:19:19.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/Makefile.am	2010-07-25 19:04:30.000000000 -0400
@@ -4,9 +4,9 @@
 libksvg_la_SOURCES = dummy.cc
 libksvg_la_METASOURCES = AUTO
 libksvg_la_LDFLAGS = -version-info 0:1:0 -no-undefined $(all_libraries)
-libksvg_la_LIBADD  = dom/libksvgdom.la impl/libksvgdomimpl.la core/libksvgcore.la ecma/libksvgecma.la \
+libksvg_la_LIBADD  = $(FREETYPE_LIBS) $(FONTCONFIG_LIBS) dom/libksvgdom.la impl/libksvgdomimpl.la core/libksvgcore.la ecma/libksvgecma.la \
 		     $(LCMS_LIBS) impl/libs/xrgbrender/libksvgxrgbrender.la impl/libs/libtext2path/src/libtext2path.la \
-			 impl/libs/art_support/libksvgart.la -lkjs $(LIB_KHTML) $(LIBART_LIBS) $(FREETYPE_LIBS) $(FONTCONFIG_LIBS)
+			 impl/libs/art_support/libksvgart.la -lkjs $(LIB_KHTML)
 
 INCLUDES = -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl $(all_includes)
 
diff -Nurd kdegraphics-3.5.10/ksvg/core/Makefile.am kdegraphics-3.5.10-new/ksvg/core/Makefile.am
--- kdegraphics-3.5.10/ksvg/core/Makefile.am	2005-09-10 04:19:11.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/core/Makefile.am	2010-08-08 12:31:49.000000000 -0400
@@ -2,6 +2,7 @@
 
 libksvgcore_la_SOURCES = KSVGLoader.cpp KSVGCanvas.cpp KSVGReader.cc KSVGTextChunk.cpp CanvasFactory.cpp CanvasItems.cpp KSVGHelper.cpp DocumentFactory.cpp
 libksvgcore_la_METASOURCES = AUTO
+libksvgcore_la_LIBADD = $(LIB_QT) $(LIB_KIO)
 
 servicetypedir = $(kde_servicetypesdir)
 servicetype_DATA = ksvgrenderer.desktop
@@ -10,7 +11,7 @@
 ksvgincludedir = $(includedir)/ksvg
 
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
-INCLUDES = $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes) $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS)
 
 KDE_OPTIONS = nofinal
 
diff -Nurd kdegraphics-3.5.10/ksvg/ecma/Makefile.am kdegraphics-3.5.10-new/ksvg/ecma/Makefile.am
--- kdegraphics-3.5.10/ksvg/ecma/Makefile.am	2005-09-10 04:19:17.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/ecma/Makefile.am	2010-08-08 12:31:43.000000000 -0400
@@ -1,4 +1,4 @@
-INCLUDES = $(FREETYPE_CFLAGS) -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/data -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/data -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes) $(FREETYPE_CFLAGS)
 METASOURCES = AUTO
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
 
diff -Nurd kdegraphics-3.5.10/ksvg/impl/Makefile.am kdegraphics-3.5.10-new/ksvg/impl/Makefile.am
--- kdegraphics-3.5.10/ksvg/impl/Makefile.am	2005-09-10 04:19:17.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/impl/Makefile.am	2010-08-08 12:31:35.000000000 -0400
@@ -113,4 +113,5 @@
 
 libksvgdomimpl_la_METASOURCES = AUTO
 
-INCLUDES = $(FREETYPE_CFLAGS) -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/data -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/data -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes) $(FREETYPE_CFLAGS)
+libksvgdomimpl_la_LIBADD = $(LIB_KDECORE) $(LIB_KDEUI)
diff -Nurd kdegraphics-3.5.10/ksvg/impl/libs/art_support/Makefile.am kdegraphics-3.5.10-new/ksvg/impl/libs/art_support/Makefile.am
--- kdegraphics-3.5.10/ksvg/impl/libs/art_support/Makefile.am	2005-09-10 04:19:14.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/impl/libs/art_support/Makefile.am	2010-07-26 00:44:18.000000000 -0400
@@ -1,4 +1,5 @@
 noinst_LTLIBRARIES = libksvgart.la
 libksvgart_la_SOURCES = art_render_misc.c art_rgba_svp.c art_misc.c
+libksvgart_la_LIBADD = $(LIBART_LIBS)
 
 INCLUDES = $(LIBART_CFLAGS) $(all_includes) 
diff -Nurd kdegraphics-3.5.10/ksvg/impl/libs/libtext2path/src/Makefile.am kdegraphics-3.5.10-new/ksvg/impl/libs/libtext2path/src/Makefile.am
--- kdegraphics-3.5.10/ksvg/impl/libs/libtext2path/src/Makefile.am	2005-09-10 04:19:14.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/impl/libs/libtext2path/src/Makefile.am	2010-07-25 19:04:30.000000000 -0400
@@ -1,10 +1,10 @@
 lib_LTLIBRARIES = libtext2path.la
 
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
-INCLUDES = $(FRIBIDI_CFLAGS) $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) $(all_includes)
+INCLUDES = $(FREETYPE_CFLAGS) $(FRIBIDI_CFLAGS) $(FONTCONFIG_CFLAGS) $(all_includes)
 
 libtext2path_includedir=$(includedir)/libtext2path-0.1
 libtext2path_include_HEADERS = BezierPath.h Glyph.h GlyphTracer.h
 
 libtext2path_la_SOURCES = Affine.cpp Rectangle.cpp Font.cpp Glyph.cpp GlyphTracer.cpp Converter.cpp QtUnicode.cpp
-libtext2path_la_LDFLAGS = $(FRIBIDI_LIBS) $(FONTCONFIG_LIBS)
+libtext2path_la_LDFLAGS = $(FREETYPE_LIBS) $(FONTCONFIG_LIBS) $(FRIBIDI_LIBS)
diff -Nurd kdegraphics-3.5.10/ksvg/plugin/Makefile.am kdegraphics-3.5.10-new/ksvg/plugin/Makefile.am
--- kdegraphics-3.5.10/ksvg/plugin/Makefile.am	2005-09-10 04:19:12.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/plugin/Makefile.am	2010-08-08 12:31:05.000000000 -0400
@@ -1,13 +1,13 @@
 SUBDIRS = backends .
 
-INCLUDES = $(FREETYPE_CFLAGS) -I$(top_srcdir)/ksvg -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes) $(FREETYPE_CFLAGS)
 METASOURCES = AUTO
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
 
 kde_module_LTLIBRARIES = libksvgplugin.la svgthumbnail.la
 
 libksvgplugin_la_SOURCES = ksvg_plugin.cpp ksvg_factory.cpp ksvg_widget.cpp
-libksvgplugin_la_LIBADD = ../libksvg.la
+libksvgplugin_la_LIBADD = ../libksvg.la $(LIB_KPARTS)
 libksvgplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 ksvginclude_HEADERS = ksvg_plugin.h
diff -Nurd kdegraphics-3.5.10/ksvg/plugin/backends/agg/Makefile.am kdegraphics-3.5.10-new/ksvg/plugin/backends/agg/Makefile.am
--- kdegraphics-3.5.10/ksvg/plugin/backends/agg/Makefile.am	2005-09-10 04:19:12.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/plugin/backends/agg/Makefile.am	2010-08-08 12:31:29.000000000 -0400
@@ -12,4 +12,4 @@
 kde_services_DATA = ksvgaggcanvas.desktop
 
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
-INCLUDES = $(KDE_INCLUDES) $(AGG_CFLAGS) $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes) $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) $(KDE_INCLUDES) $(AGG_CFLAGS)
diff -Nurd kdegraphics-3.5.10/ksvg/plugin/backends/libart/Makefile.am kdegraphics-3.5.10-new/ksvg/plugin/backends/libart/Makefile.am
--- kdegraphics-3.5.10/ksvg/plugin/backends/libart/Makefile.am	2005-09-10 04:19:11.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/plugin/backends/libart/Makefile.am	2010-08-08 12:31:19.000000000 -0400
@@ -8,4 +8,4 @@
 kde_services_DATA = ksvglibartcanvas.desktop
 
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
-INCLUDES = $(LIBART_CFLAGS) $(FREETYPE_CFLAGS) $(FONTCONFIG_CFLAGS) -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(KDE_INCLUDES) $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/art_support -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(KDE_INCLUDES) $(all_includes) $(FREETYPE_CFLAGS) $(LIBART_CFLAGS) $(FONTCONFIG_CFLAGS)
diff -Nurd kdegraphics-3.5.10/ksvg/test/external/Makefile.am kdegraphics-3.5.10-new/ksvg/test/external/Makefile.am
--- kdegraphics-3.5.10/ksvg/test/external/Makefile.am	2005-09-10 04:19:09.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/test/external/Makefile.am	2010-08-08 12:30:57.000000000 -0400
@@ -1,13 +1,16 @@
-INCLUDES = $(FREETYPE_CFLAGS) -I$(top_srcdir)/ksvg -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes)
+INCLUDES = -I$(top_srcdir)/ksvg -I$(top_srcdir)/ksvg/dom -I$(top_srcdir)/ksvg/impl -I$(top_srcdir)/ksvg/ecma -I$(top_srcdir)/ksvg/core -I$(top_srcdir)/ksvg/impl/libs/libtext2path/src $(all_includes) $(FREETYPE_CFLAGS)
+LDFLAGS = $(FREETYPE_LDFLAGS)
 METASOURCES = AUTO
 KDE_CXXFLAGS = $(USE_EXCEPTIONS)
 
-bin_PROGRAMS = svgdisplay printnodetest
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = svgdisplay.la printnodetest.la
 
-svgdisplay_SOURCES = SVGTestWidget.cc svgdisplay.cc
-svgdisplay_LDADD =  $(LIB_KDECORE) ../../libksvg.la
-svgdisplay_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+svgdisplay_la_SOURCES = SVGTestWidget.cc svgdisplay.cc
+svgdisplay_la_LIBADD =  $(LIB_KDECORE) ../../libksvg.la
+svgdisplay_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -module
 
-printnodetest_SOURCES = printnodetest.cpp
-printnodetest_LDADD =  $(LIB_KDECORE) ../../libksvg.la
-printnodetest_LDFLAGS = $(KDE_RPATH) $(all_libraries)
+printnodetest_la_SOURCES = printnodetest.cpp
+printnodetest_la_LIBADD =  $(LIB_KDECORE) ../../libksvg.la
+printnodetest_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -module
diff -Nurd kdegraphics-3.5.10/ksvg/test/external/printnodetest.cpp kdegraphics-3.5.10-new/ksvg/test/external/printnodetest.cpp
--- kdegraphics-3.5.10/ksvg/test/external/printnodetest.cpp	2005-10-10 10:56:46.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/test/external/printnodetest.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -44,7 +44,7 @@
 	exit(0);
 }
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
 	KAboutData *about = new KAboutData("KSVG printNode test app", I18N_NOOP("KSVG test"), "0.1", I18N_NOOP("KSVG printNode test app"));
 	KCmdLineArgs::init(argc, argv, about);
diff -Nurd kdegraphics-3.5.10/ksvg/test/external/svgdisplay.cc kdegraphics-3.5.10-new/ksvg/test/external/svgdisplay.cc
--- kdegraphics-3.5.10/ksvg/test/external/svgdisplay.cc	2005-09-10 04:19:09.000000000 -0400
+++ kdegraphics-3.5.10-new/ksvg/test/external/svgdisplay.cc	2010-07-25 19:04:30.000000000 -0400
@@ -10,7 +10,7 @@
 	KCmdLineLastOption
 };
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
 
 	KAboutData *about = new KAboutData( "KSVG test app", I18N_NOOP("KSVG test"), "0.1", I18N_NOOP("KSVG standalone test app") );
diff -Nurd kdegraphics-3.5.10/kuickshow/src/Makefile.am kdegraphics-3.5.10-new/kuickshow/src/Makefile.am
--- kdegraphics-3.5.10/kuickshow/src/Makefile.am	2006-05-22 14:05:38.000000000 -0400
+++ kdegraphics-3.5.10-new/kuickshow/src/Makefile.am	2010-07-26 01:07:32.000000000 -0400
@@ -10,7 +10,7 @@
 METASOURCES = AUTO
 
 kuickshow_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kuickshow_la_LIBADD  = $(LIB_KDEPRINT) $(LIB_IMLIB)
+kuickshow_la_LIBADD  = $(LIB_KDEPRINT) $(LIB_IMLIB) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
 kuickshow_la_SOURCES =	kuickshow.cpp \
 	aboutwidget.cpp     generalwidget.cpp  kuickconfigdlg.cpp  main.cpp \
 	defaultswidget.cpp  imagewindow.cpp    kuickdata.cpp  \
diff -Nurd kdegraphics-3.5.10/kview/Makefile.am kdegraphics-3.5.10-new/kview/Makefile.am
--- kdegraphics-3.5.10/kview/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/Makefile.am	2010-07-26 00:51:27.000000000 -0400
@@ -12,7 +12,7 @@
 
 kview_la_SOURCES = kview.cpp main.cpp
 kview_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -module -avoid-version
-kview_la_LIBADD = $(LIB_KPARTS) $(LIB_KUTILS)
+kview_la_LIBADD = $(LIB_KPARTS) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
 
 xdg_apps_DATA = kview.desktop
 
diff -Nurd kdegraphics-3.5.10/kview/config/Makefile.am kdegraphics-3.5.10-new/kview/config/Makefile.am
--- kdegraphics-3.5.10/kview/config/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/config/Makefile.am	2010-07-26 01:28:58.000000000 -0400
@@ -9,7 +9,7 @@
 
 kcm_kviewgeneralconfig_la_SOURCES = kviewconfmodules.cpp
 kcm_kviewgeneralconfig_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kcm_kviewgeneralconfig_la_LIBADD = $(LIB_KDEUI)
+kcm_kviewgeneralconfig_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 kcm_kviewgeneralconfig_DATA = kviewgeneralconfig.desktop
 kcm_kviewgeneralconfigdir = $(kde_servicesdir)/kconfiguredialog
diff -Nurd kdegraphics-3.5.10/kview/config/plugins/Makefile.am kdegraphics-3.5.10-new/kview/config/plugins/Makefile.am
--- kdegraphics-3.5.10/kview/config/plugins/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/config/plugins/Makefile.am	2010-07-26 01:30:02.000000000 -0400
@@ -8,7 +8,7 @@
 
 kcm_kviewpluginsconfig_la_SOURCES = kviewpluginsconfig.cpp
 kcm_kviewpluginsconfig_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kcm_kviewpluginsconfig_la_LIBADD = $(LIB_KUTILS)
+kcm_kviewpluginsconfig_la_LIBADD = $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 kcm_kviewpluginsconfig_DATA = kviewpluginsconfig.desktop
 kcm_kviewpluginsconfigdir = $(kde_servicesdir)/kconfiguredialog
diff -Nurd kdegraphics-3.5.10/kview/kimageviewer/Makefile.am kdegraphics-3.5.10-new/kview/kimageviewer/Makefile.am
--- kdegraphics-3.5.10/kview/kimageviewer/Makefile.am	2005-09-10 04:18:44.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/kimageviewer/Makefile.am	2010-07-26 01:05:15.000000000 -0400
@@ -6,7 +6,7 @@
 
 libkimageviewer_la_SOURCES = canvas.cpp viewer.cpp
 libkimageviewer_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 0:0
-libkimageviewer_la_LIBADD  = $(LIB_KPARTS)
+libkimageviewer_la_LIBADD  = $(LIB_KPARTS) $(LIB_QT) $(LIB_KDEUI)
 
 INCLUDES = $(all_includes)
 
diff -Nurd kdegraphics-3.5.10/kview/kviewcanvas/Makefile.am kdegraphics-3.5.10-new/kview/kviewcanvas/Makefile.am
--- kdegraphics-3.5.10/kview/kviewcanvas/Makefile.am	2005-09-10 04:18:44.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/kviewcanvas/Makefile.am	2010-07-26 01:30:55.000000000 -0400
@@ -8,7 +8,7 @@
 libkviewcanvas_la_SOURCES = kimageholder.cpp kimagecanvas.cpp
 libkviewcanvas_la_LDFLAGS = $(all_libraries) -module -no-undefined -avoid-version
 libkviewcanvas_la_LIBADD = $(LIB_KPARTS) $(LIB_KDEPRINT) $(LIB_KUTILS) \
-                           $(top_builddir)/kview/kimageviewer/libkimageviewer.la
+                           $(top_builddir)/kview/kimageviewer/libkimageviewer.la $(LIB_KDECORE) -lkdefx
 
 METASOURCES = AUTO
 
diff -Nurd kdegraphics-3.5.10/kview/kviewviewer/Makefile.am kdegraphics-3.5.10-new/kview/kviewviewer/Makefile.am
--- kdegraphics-3.5.10/kview/kviewviewer/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/kviewviewer/Makefile.am	2010-07-26 01:32:13.000000000 -0400
@@ -8,7 +8,7 @@
 libkviewviewer_la_SOURCES = printimagesettings.ui imagesettings.cpp kviewkonqextension.cpp kviewviewer.cpp
 libkviewviewer_la_LDFLAGS = $(all_libraries) -avoid-version -module -no-undefined
 libkviewviewer_la_LIBADD = $(LIB_KDEPRINT) $(LIB_KUTILS) \
-                           $(top_builddir)/kview/kimageviewer/libkimageviewer.la
+                           $(top_builddir)/kview/kimageviewer/libkimageviewer.la $(LIB_KDECORE) $(LIB_KIO)
 
 METASOURCES = AUTO
 
diff -Nurd kdegraphics-3.5.10/kview/kviewviewer/config/Makefile.am kdegraphics-3.5.10-new/kview/kviewviewer/config/Makefile.am
--- kdegraphics-3.5.10/kview/kviewviewer/config/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/kviewviewer/config/Makefile.am	2010-07-26 01:33:24.000000000 -0400
@@ -8,7 +8,7 @@
 
 kcm_kviewviewerpluginsconfig_la_SOURCES = kviewviewerpluginsconfig.cpp
 kcm_kviewviewerpluginsconfig_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kcm_kviewviewerpluginsconfig_la_LIBADD = $(LIB_KUTILS)
+kcm_kviewviewerpluginsconfig_la_LIBADD = $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 kcm_kviewviewerpluginsconfig_DATA = kviewviewerpluginsconfig.desktop
 kcm_kviewviewerpluginsconfigdir = $(kde_servicesdir)/kconfiguredialog
diff -Nurd kdegraphics-3.5.10/kview/modules/browser/Makefile.am kdegraphics-3.5.10-new/kview/modules/browser/Makefile.am
--- kdegraphics-3.5.10/kview/modules/browser/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/modules/browser/Makefile.am	2010-07-26 01:36:43.000000000 -0400
@@ -3,7 +3,7 @@
 kde_module_LTLIBRARIES = kview_browserplugin.la
 
 kview_browserplugin_la_SOURCES = kmyfileitemlist.cpp kviewbrowser.cpp
-kview_browserplugin_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint
+kview_browserplugin_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 kview_browserplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 plugdir   = $(kde_datadir)/kviewviewer/kpartplugins
diff -Nurd kdegraphics-3.5.10/kview/modules/effects/Makefile.am kdegraphics-3.5.10-new/kview/modules/effects/Makefile.am
--- kdegraphics-3.5.10/kview/modules/effects/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/modules/effects/Makefile.am	2010-07-26 01:38:05.000000000 -0400
@@ -3,7 +3,7 @@
 kde_module_LTLIBRARIES = kview_effectsplugin.la
 
 kview_effectsplugin_la_SOURCES = kvieweffects.cpp
-kview_effectsplugin_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint
+kview_effectsplugin_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint $(LIB_QT) $(LIB_KDECORE) -lkdefx $(LIB_KDEUI)
 kview_effectsplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 plugdir   = $(kde_datadir)/kview/kpartplugins
diff -Nurd kdegraphics-3.5.10/kview/modules/presenter/Makefile.am kdegraphics-3.5.10-new/kview/modules/presenter/Makefile.am
--- kdegraphics-3.5.10/kview/modules/presenter/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/modules/presenter/Makefile.am	2010-07-26 01:35:04.000000000 -0400
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = kview_presenterplugin.la
 
 kview_presenterplugin_la_SOURCES = imagelistitem.cpp imagelistdialog.ui kviewpresenter.cpp
-kview_presenterplugin_la_LIBADD = $(LIB_KIO) $(LIB_KPARTS)
+kview_presenterplugin_la_LIBADD = $(LIB_KIO) $(LIB_KPARTS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 kview_presenterplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 plugdir   = $(kde_datadir)/kview/kpartplugins
diff -Nurd kdegraphics-3.5.10/kview/modules/scanner/Makefile.am kdegraphics-3.5.10-new/kview/modules/scanner/Makefile.am
--- kdegraphics-3.5.10/kview/modules/scanner/Makefile.am	2005-09-10 04:18:45.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/modules/scanner/Makefile.am	2010-07-26 01:34:11.000000000 -0400
@@ -4,7 +4,7 @@
 
 kview_scannerplugin_la_SOURCES = kviewscanner.cpp
 kview_scannerplugin_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) -lkdeprint
-kview_scannerplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
+kview_scannerplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) $(LIB_KDECORE) $(LIB_QT) $(LIB_KDEUI)
 
 plugdir   = $(kde_datadir)/kview/kpartplugins
 plug_DATA = kviewscanner.desktop kviewscanner.rc
diff -Nurd kdegraphics-3.5.10/kview/photobook/Makefile.am kdegraphics-3.5.10-new/kview/photobook/Makefile.am
--- kdegraphics-3.5.10/kview/photobook/Makefile.am	2006-07-22 04:10:28.000000000 -0400
+++ kdegraphics-3.5.10-new/kview/photobook/Makefile.am	2010-07-26 01:38:51.000000000 -0400
@@ -6,7 +6,7 @@
 libphotobook_la_SOURCES = photobook.cpp
 
 libphotobook_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-libphotobook_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS)
+libphotobook_la_LIBADD = $(LIB_KFILE) $(LIB_KPARTS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 
 partrcdir = $(kde_servicesdir)
 partrc_DATA = photobook.desktop
diff -Nurd kdegraphics-3.5.10/kviewshell/Makefile.am kdegraphics-3.5.10-new/kviewshell/Makefile.am
--- kdegraphics-3.5.10/kviewshell/Makefile.am	2005-09-10 04:19:21.000000000 -0400
+++ kdegraphics-3.5.10-new/kviewshell/Makefile.am	2010-09-19 04:55:24.000000000 -0400
@@ -5,8 +5,9 @@
 
 ####### Files
 
-bin_PROGRAMS = 	kviewshell
+bin_PROGRAMS = 	
 lib_LTLIBRARIES = libkmultipage.la
+kdeinit_LTLIBRARIES = kviewshell.la
 kde_module_LTLIBRARIES = kviewerpart.la emptymultipagepart.la
 noinst_LTLIBRARIES = libifaces.la libkviewshell.la
 
@@ -18,7 +19,7 @@
 		optionDialogGUIWidget_base.ui optionDialogAccessibilityWidget.ui simplePageSize.cpp
 
 kviewerpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kviewerpart_la_LIBADD = ./libifaces.la $(LIB_KFILE) -lkparts
+kviewerpart_la_LIBADD = ./libifaces.la $(LIB_KFILE) -lkparts $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 libkmultipage_la_SOURCES = kmultipage.cpp pageView.cpp marklist.cpp kmultipageInterface.skel \
 		units.cpp pageSize.cpp simplePageSize.cpp renderedDocumentPage.cpp renderedDocumentPagePixmap.cpp \
@@ -30,17 +31,18 @@
 kde_kcfg_DATA = kviewshell.kcfg
 
 libkmultipage_la_LDFLAGS = $(all_libraries)
-libkmultipage_la_LIBADD = $(LIB_KFILE) -lkdeprint -lkparts
+libkmultipage_la_LIBADD = $(LIB_KFILE) -lkdeprint -lkparts $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lkdefx -lDCOP
 
 emptymultipagepart_la_SOURCES = empty_multipage.cpp emptyRenderer.cpp
 emptymultipagepart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-emptymultipagepart_la_LIBADD = -lkparts libkmultipage.la
+emptymultipagepart_la_LIBADD = -lkparts libkmultipage.la $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 libkviewshell_la_SOURCES = kviewshell.cpp
+libkviewshell_la_LIBADD = $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
 
-kviewshell_SOURCES = main.cpp
-kviewshell_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kviewshell_LDADD = libkviewshell.la ./libifaces.la -lkparts
+kviewshell_la_SOURCES = main.cpp
+kviewshell_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kviewshell_la_LIBADD = libkviewshell.la ./libifaces.la -lkparts -lDCOP
 
 kviewshellinclude_HEADERS = anchor.h bookmark.h pageView.h documentPageCache.h documentRenderer.h documentWidget.h \
 	history.h hyperlink.h kmultipage.h length.h pageNumber.h pageSize.h renderedDocumentPage.h renderedDocumentPagePixmap.h \
diff -Nurd kdegraphics-3.5.10/kviewshell/main.cpp kdegraphics-3.5.10-new/kviewshell/main.cpp
--- kdegraphics-3.5.10/kviewshell/main.cpp	2005-11-08 17:25:45.000000000 -0500
+++ kdegraphics-3.5.10-new/kviewshell/main.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -32,7 +32,7 @@
 static const char description[] = I18N_NOOP("Generic framework for viewer applications");
 
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
   KAboutData about ("kviewshell", I18N_NOOP("KViewShell"), "0.6",
 		    description, KAboutData::License_GPL,
diff -Nurd kdegraphics-3.5.10/kviewshell/plugins/djvu/Makefile.am kdegraphics-3.5.10-new/kviewshell/plugins/djvu/Makefile.am
--- kdegraphics-3.5.10/kviewshell/plugins/djvu/Makefile.am	2005-09-10 04:19:21.000000000 -0400
+++ kdegraphics-3.5.10-new/kviewshell/plugins/djvu/Makefile.am	2010-08-08 13:23:31.000000000 -0400
@@ -1,8 +1,8 @@
-INCLUDES = -I$(top_srcdir) $(all_includes) \
+INCLUDES = -I$(top_srcdir) \
 	-I$(top_srcdir)/kviewshell \
 	-I$(top_builddir)/kviewshell \
-	-I$(kde_includes)/kviewshell \
-	-I$(srcdir)/libdjvu
+	-I$(srcdir)/libdjvu \
+	-I$(kde_includes)/kviewshell  $(all_includes)
 
 SUBDIRS = libdjvu .
 
@@ -18,7 +18,7 @@
 
 kde_module_LTLIBRARIES = djvuviewpart.la
 djvuviewpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-djvuviewpart_la_LIBADD = -lkdeprint -lkparts $(top_builddir)/kviewshell/libkmultipage.la libdjvu/libdjvu.la
+djvuviewpart_la_LIBADD = -lkdeprint -lkparts $(top_builddir)/kviewshell/libkmultipage.la libdjvu/libdjvu.la $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 djvuviewpart_la_SOURCES = djvumultipage.cpp djvurenderer.cpp kprintDialogPage_DJVUpageoptions.cpp \
 	kprintDialogPage_DJVUconversionoptions.cpp kprintDialogPage_DJVUconversionoptions_basewidget.ui \
 	pageRangeWidget_base.ui pageRangeWidget.cpp \
diff -Nurd kdegraphics-3.5.10/kviewshell/plugins/djvu/libdjvu/Makefile.am kdegraphics-3.5.10-new/kviewshell/plugins/djvu/libdjvu/Makefile.am
--- kdegraphics-3.5.10/kviewshell/plugins/djvu/libdjvu/Makefile.am	2005-11-08 17:25:45.000000000 -0500
+++ kdegraphics-3.5.10-new/kviewshell/plugins/djvu/libdjvu/Makefile.am	2010-07-25 19:04:30.000000000 -0400
@@ -1,7 +1,7 @@
 INCLUDES = -I$(top_srcdir) $(all_includes)
 
-kde_module_LTLIBRARIES = libdjvu.la
-libdjvu_la_LDFLAGS = -avoid-version $(all_libraries)
+lib_LTLIBRARIES = libdjvu.la
+libdjvu_la_LDFLAGS = $(all_libraries)
 libdjvu_la_LIBADD = $(LIBJPEG)
 libdjvu_la_SOURCES = Arrays.cpp DjVuDocEditor.cpp DjVuMessageLite.cpp GOS.cpp IW44Image.cpp \
 	BSByteStream.cpp DjVuDocument.cpp DjVuNavDir.cpp GPixmap.cpp JB2EncodeCodec.cpp \
diff -Nurd kdegraphics-3.5.10/libkscan/Makefile.am kdegraphics-3.5.10-new/libkscan/Makefile.am
--- kdegraphics-3.5.10/libkscan/Makefile.am	2005-09-10 04:18:46.000000000 -0400
+++ kdegraphics-3.5.10-new/libkscan/Makefile.am	2010-07-26 00:46:59.000000000 -0400
@@ -19,7 +19,7 @@
 
 
 libkscan_la_LDFLAGS = $(all_libraries) $(LIBSANE_LDFLAGS) -no-undefined -version-info 1:0
-libkscan_la_LIBADD = $(LIBSANE_LIBS) $(LIB_KFILE)
+libkscan_la_LIBADD = $(LIBSANE_LIBS) $(LIB_KFILE) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lkdefx
 
 kde_services_DATA = scanservice.desktop
 
diff -Nurd kdegraphics-3.5.10/libkscan/img_canvas.cpp kdegraphics-3.5.10-new/libkscan/img_canvas.cpp
--- kdegraphics-3.5.10/libkscan/img_canvas.cpp	2006-05-22 14:05:37.000000000 -0400
+++ kdegraphics-3.5.10-new/libkscan/img_canvas.cpp	2010-07-25 19:04:30.000000000 -0400
@@ -701,7 +701,7 @@
                            double(image->width());
             kdDebug(29000) << "FIT WIDTH scrollbar to substract: " << sbWidth << endl;
         }
-        scale_factor = 100*used_xscaler;
+        scale_factor = (int)(100*used_xscaler);
         break;
     case FIT_HEIGHT:
         used_yscaler = used_xscaler = double(noSBSize.height())/double(image->height());
@@ -716,12 +716,12 @@
             kdDebug(29000) << "FIT HEIGHT scrollbar to substract: " << sbWidth << endl;
             // scale = int(100.0*(noSBSize.height() -sbWidth) / image->height());
         }
-        scale_factor = 100*used_xscaler;
+        scale_factor = (int)(100*used_xscaler);
 
         break;
     case ZOOM:
         used_xscaler = used_yscaler = double(getScaleFactor())/100.0;
-        scale_factor = 100*used_xscaler;
+        scale_factor = (int)(100*used_xscaler);
         break;
     default:
         break;
